Moose::Meta::Role::Method::Required(3)

NAME
Moose::Meta::Role::Method::Required - A Moose metaclass for required methods in Roles

VERSION
version 2.0205

DESCRIPTION

INHERITANCE
"Moose::Meta::Role::Method::Required" is a subclass of Class::MOP::Object. It is not a subclass of "Moose::Meta::Role::Method" since it does not provide an implementation of the method.

METHODS

Moose::Meta::Role::Method::Required->new(%options)
    This creates a new type constraint based on the provided %options:

    •   name

        The method name. This is required.

$method->name
    Returns the required method's name, as provided to the constructor.

BUGS
See "BUGS" in Moose for details on reporting bugs.

AUTHOR
Stevan Little <stevan@iinteractive.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2011 by Infinity Interactive, Inc..

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.